Subject: Re: bug#56682: feature/improved-locked-narrowing 9dee6df39c: Reworked locked narrowing.

From: Gregory Heytings <[email-masked]>
Date: Sat, 01 Apr 2023 21:56:20 +0000

>> Thanks.  Done in 097c5ee8f5, together with the FRAME_WINDOW_P fix.  Do 
>> you have other comments/reservations?
>
> Not specific ones, no.  I just hope there are no hidden rocks there, as 
> this code was not well tested.
>

That's what I hope, too.  But the risks are really small here, the only 
potential problem I can imagine would be some kind of error in 
'get_nearby_bol_pos', but I don't see where it could possibly fail.  I 
made a few final fixes; I guess I can now merge that branch?